///////////////////////////////////////////////////////////
//                                                       //
//                        Module:                        //
//                      destriping                      //
//                                                       //
//                       for SAGA                        //
//      System for Automated Geoscientific Analyses      //
//                                                       //
//-------------------------------------------------------//
//                                                       //
//                   MLB_Interface.cpp                   //
//                                                       //
//                                                       //
//-------------------------------------------------------//
//                                                       //
//                                                       //
//    by Alessandro Perego (Italy)                       //
//                                                       //
//    e-mail:     alper78@alice.it                       //
//                                                       //
//                                                       //
///////////////////////////////////////////////////////////


//---------------------------------------------------------


///////////////////////////////////////////////////////////
//								         //
//	    The Module Link Library Interface	         //
//								         //
///////////////////////////////////////////////////////////

//---------------------------------------------------------
// 1. Include the appropriate SAGA-API header...

#include "MLB_Interface.h"


//---------------------------------------------------------
// 2. Place general module library informations here...

const char * Get_Info(int i)
{
	switch( i )
	{
	case MLB_INFO_Name:	default:
		return( "destriping" );

	case MLB_INFO_Author:
		return( "Alessandro Perego" );

	case MLB_INFO_Description:
		return( "destriping filter: remove straight parallel stripes in raster data." );

	case MLB_INFO_Version:
		return( "1.1" );

	case MLB_INFO_Menu_Path:
		return( "Grid|Filter" );
	}
}


//---------------------------------------------------------
// 3. Include the headers of your modules here...

#include "destriping1.h"
#include "destriping2.h"

//---------------------------------------------------------
// 4. Allow your modules to be created here...

CSG_Module *		Create_Module(int i)
{
	// Don't forget to continuously enumerate the case switches
	// when adding new modules! Also bear in mind that the
	// enumeration always has to start with [case 0:] and
	// that [default:] must return NULL!...

	CSG_Module	*pModule;

	switch( i )
	{
	case 0:
		pModule	= new Cdestriping1;
		break;

	case 1:
		pModule	= new Cdestriping2;
		break;

	default:
		pModule	= NULL;
		break;
	}

	return( pModule );
}


///////////////////////////////////////////////////////////
//									   //
//									   //
//									   //
///////////////////////////////////////////////////////////

//---------------------------------------------------------
//{{AFX_SAGA

	MLB_INTERFACE

//}}AFX_SAGA
